This documentation is for WSO2 Private PaaS 4.1.0. View documentation for the latest release.
Page Comparison - Installation Prerequisites (v.21 vs v.22) - WSO2 Private PaaS 4.1.0 - WSO2 Documentation

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

Excerpt

Software requirements 

Install the following software requirements to run Private PaaS successfully:

Table of Contents
maxLevel4
minLevel4

General software requirements

Note

The applications marked with an asterisk * are mandatory.

ApplicationPurposeVersionMinimum RequirementsDownload Links
Development/
Testing
Environment
Production
Environment

Oracle Java SE Development Kit (JDK)*

Required by all the products:

  • To launch the product, as each product is a Java application.
  • To build the product from the source distribution (both JDK and Apache Maven are required).

 

1.7 or 1.8

  • JDK 1.7 and 1.8 can be used when running the product.
  • JDK 1.7 needs to be used to build from source.

    .*

     

     

    HTML
    <a target="_blank" href=http://java.sun.com/javase/downloads/index.jsp> http://java.sun.com/javase/downloads/index.jsp</a>
    Info

    If you wish to get support for 32 bits in Private PaaS, download the Java 32 bits distribution.

    MySQL Server

    Required to manage database connections.

    5.6.0

    X
    HTML
    <a target="_blank" href=http://dev.mysql.com/downloads/> http://dev.mysql.com/downloads/</a>

    MySQL Connector for Java

    Required as a standardized database driver for Java platforms and development.

    5.1.x

    X
    HTML
    <a target="_blank" href=http://dev.mysql.com/downloads/connector/j/5.1.html/> http://dev.mysql.com/downloads/connector/j/5.1.html</a>
    Zip Utility

    Required to compress and unzip the packages.

    NOTE: This is not required when using the manual approach to configure and start Private PaaS.

    AnyXChoose a zip utility that is compatible with the OS.
    Cartridge Base ImageRequired as a prerequisite for cartridges.2.6.0 or later

    The cartridge base image will vary based on the setup that you are using. For example, If you are using OpenStack, you need to have an OpenStack base image. Whereas, if you are using Docker, you need to have a Docker base image.

    Apache ActiveMQ*
    Required for Private PaaS runtime. The Private PaaS components communicate to each other via the Message Broker using the AMQP and MQTT protocols.ActiveMQ 5.10.0
    HTML
    <a target="_blank" href=https://activemq.apache.org/download.html>https://activemq.apache.org/download.html</a>
    Info
    • Currently, ActiveMQ 5.10.0 is used by default in the  Private PaaS installation. However, Private PaaS also supports other AMQP Message Brokers such as, WSO2 Message Broker and RabbitMQ.

    • Currently, ActiveMQ is used by default in the Private PaaS installation.

    WSO2 CEP
    • Required to analyze & process events of a cartridge.
    • PPaaS is shipped with CEP 3.0.0. However, it is recommend to configure CEP externally in a production environment.
    3.1.0 
    HTML
    <a target="_blank" href=http://wso2.com/products/complex-event-processor/> http://wso2.com/products/complex-event-processor</a>
    WSO2 DASTo handle the monitoring and metering in PPaaS.

    3.0.0

     

    HTML
    <a target="_blank" href=http://wso2.com/products/data-analytics-server/> http://wso2.com/products/data-analytics-server</a>

     

    Building from source

    Install the following software requirements to build Private PaaS from source:

    Note

    The applications marked with an asterisk * are mandatory.

    ApplicationPurposeVersionMinimum RequirementsDownload Links
    Development/
    Testing
    Environment
    Production
    Environment

    Apache Maven*

    Required to build the product from the source distribution.

    3.1.1 or later

    HTML
    <a target="_blank" href=http://maven.apache.org> http://maven.apache.org</a>

    Oracle Java SE Development Kit (JDK)*

    Required by all the products:

    • To launch the product, as each product is a Java application.
    • To build the product from the source distribution (both JDK and Apache Maven are required).

    1.7 or 1.8

    • JDK 1.7 and 1.8 can be used when running the product.
    • JDK 1.7 needs to be used to build from source

     .*

     

    HTML
    <a target="_blank" href=http://java.sun.com/javase/downloads/index.jsp> http://java.sun.com/javase/downloads/index.jsp</a>
    Info

    If you wish to get support for 32 bits in Private PaaS, download the Java 32 bits distribution.

     Git Client*Required to check out the source from the Git repository.2.2.1 or later
    HTML
    <a target="_blank" href=http://git-scm.com/downloads/> http://git-scm.com/downloads/</a>


    Working with Kubernetes

    Install the following software requirements only when working with Kubernetes:

    ApplicationPurposeVersionMinimum RequirementsDownload Links
    Development/
    Testing
    Environment
    Production
    Environment
    Oracle VM VirtualBox ManagerUsed as the provider for Vagrant.4.3.20 or laterX
    HTML
    <a target="_blank" href=http://git-scm.com/downloads/> https://www.virtualbox.org/</a>
    Vagrant

    Used to set up one or more virtual machine.

    Info
    • As VirtualBox will be used as the provider for Vagrant, VirtualBox needs to be installed prior to installing Vagrant.
    1.7.2 or laterX
    HTML
    <a target="_blank" href=http://git-scm.com/downloads/> http://www.vagrantup.com/downloads.html</a>
    WgetTo install applications when running PPaaS on Kubernetes, which is in-turn run on EC2.any 
    HTML
    <a target="_blank" href=http://www.gnu.org/software/wget/> http://www.gnu.org/software/wget/</a>

     

    System requirements

    System Requirements
    • Memory - 4GB
    • Disk - 40GB hard disk space
    • Processor - 2.8GHz and 2 Core CPU
    Environment Compatibility
    • Operating Systems - Linux (Ubuntu 12.04 64bit server or SUSE Linux Enterprise 11 SP2)

      Info

      If you wish to get support for 32 bits in Private PaaS, download the Java 32 bits distribution.

    Note

    The minimum system requirement for each component, i.e. ActiveMQ, Private PaaS and CEP, when deploying Private PaaS on a distributed set up, is shown above.

    If you are deploying Private Paas in a single Java Virtual Machine setup, you will need to meet the following system requirements:

    • Memory - 8GB
    • Disk - 40GB hard disk space
    • Processor - 2.8GHz and 4 Core CPU